Get a session
One session by OCPI id. If two parties use the same id, pass country_code and party_id (409 otherwise).
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
session_id
OCPI session id.
Query parameters
country_code
Only this OCPI party country code, e.g. NL.
party_id
Only this OCPI party id, e.g. OCP.
Response
The requested object.
id
session_id
start_date_time
kwh
cdr_token
Token snapshot stored on a session or CDR.
Older rows may only have a uid. The other OCPI fields are null until the
processor stored them.
auth_method
location_id
evse_uid
connector_id
currency
status
last_updated
role
origin
organization_id
country_code
party_id
ocpi_version
billing_state
created_at
updated_at
end_date_time
meter_id
charging_periods
total_cost
charge_point_id
billing_error
billed_cdr_id
Errors
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error